Subject: Advanced im invitations

Description

More im advancements:

    -  A user is always created in the PENDING state.

    -  The admin can view/alter pending users in a separate page.

    -  Upon accepted, send welcome mail.

    -  Invitation changes:

    -  Send to a "sign-up" page where the user can select the login method.

    -  Upon user create/profile edit the user should be automatically accepted if invited.

    -  Each invitation should be used to create one user. Disable once a user is created.

    -  If invitations are disabled (some settings parameter):

    -  The "sign-up" page is not private.

    -  All users remain pending until they activate their account via email.

    -  Make the auto-accept step easy to change (separate function/file or something).

    -  Login targets must accept "create or just login" option.

    -  Migrate currently invited users to local if possible (create passwords and send mails).

Associated revisions

Revision 35c82779 - 12/22/2011 08:08 pm - Sofia Papagiannaki

provide authentication service & change pithos to contact it to authenticate users

Refs: #1689

Revision 35c82779 - 12/22/2011 08:08 pm - Sofia Papagiannaki 

provide authentication service & change pithos to contact it to authenticate users

Refs: #1689

History

#1 - 12/05/2011 07:36 pm - Antony Chazapis

- Target version changed from 0.8.1 to 0.8.2

#2 - 12/23/2011 05:10 pm - Antony Chazapis

- Target version changed from 0.8.2 to 0.8.3

#3 - 01/19/2012 02:51 pm - Antony Chazapis

- Status changed from New to Closed

04/23/2024 1/2



The user infrastructure has been moved to the Astakos project: https://code.grnet.gr/projects/astakos

These features have been implemented, but further issues can be found at the Astakos project page.

#4 - 02/08/2013 06:59 pm - Vangelis Koukis

- Project changed from Pithos to Synnefo

- Target version deleted (0.8.3)

#5 - 02/08/2013 07:00 pm - Vangelis Koukis

- Category set to Pithos
